function d_hamming(nb1, nb2) {
    var distance = 0;
    for(let i = 0; i <nb1.length; i++){
        if(nb1[i] !== nb2[i]) {
            distance += 1;
        }
    }
return distance;
}

var liste = [
    ["10010", "tomate"],
    ["00101", "banane"],
    ["00110", "citron"],
    ["10010", "pomme"],
    ["01010", "peche"]
];

function calcule_distance(nb_inconnu) {
    var liste_distances = [];
    for(let i = 0; i < liste.length; i++){
        distance = d_hamming(nb_inconnu, liste[i][0]);
        liste_distances.push([distance, liste[i][1]]);
    }

    return liste_distances;
}


function tri(liste_distances){
    liste_distances_triee = [...liste_distances].sort();

    return liste_distances_triee;
}


function plus_proche(liste_distances_triee){
    var leFruitLePlusProche = liste_distances_triee[0][1];

    return leFruitLePlusProche;
}


function image(thisImg){
    var img = document.createElement("IMG");
    img.src = "http://www.astrovirtuel.fr/nsi/premiere/"+thisImg;
    document.getElementById("resultat").appendChild(img);
}


function checkButton() {
    var rep="";


    if(document.getElementById("q1_n").checked){
        rep = rep + document.getElementById("q1_n").value;
    }
    else if(document.getElementById("q1_0").checked){
        rep = rep + document.getElementById("q1_0").value;
    }
    else if(document.getElementById("q1_1").checked){
        rep = rep + document.getElementById("q1_1").value;
    }

    if(document.getElementById("q2_n").checked){
        rep = rep + document.getElementById("q2_n").value;
    }
    else if(document.getElementById("q2_0").checked){
        rep = rep + document.getElementById("q2_0").value;
    }
    else if(document.getElementById("q2_1").checked){
        rep = rep + document.getElementById("q2_1").value;
    }

    if(document.getElementById("q3_n").checked){
        rep = rep + document.getElementById("q3_n").value;
    }
    else if(document.getElementById("q3_0").checked){
        rep = rep + document.getElementById("q3_0").value;
    }
    else if(document.getElementById("q3_1").checked){
        rep = rep + document.getElementById("q3_1").value;
    }

    if(document.getElementById("q4_n").checked){
        rep = rep + document.getElementById("q4_n").value;
    }
    else if(document.getElementById("q4_0").checked){
        rep = rep + document.getElementById("q4_0").value;
    }
    else if(document.getElementById("q4_1").checked){
        rep = rep + document.getElementById("q4_1").value;
    }

    if(document.getElementById("q5_n").checked){
        rep = rep + document.getElementById("q5_n").value;
    }
    else if(document.getElementById("q5_0").checked){
        rep = rep + document.getElementById("q5_0").value;
    }
    else if(document.getElementById("q5_1").checked){
        rep = rep + document.getElementById("q5_1").value;
    }

    if(rep.length !== 5){
        document.getElementById("error").innerHTML="Il manque au moins une réponse";
    }
    else{
        return rep;
    }

}


function programme(){
    document.getElementById("error").innerHTML="";
    document.getElementById("resultat").innerHTML="";

    var reponse_utilisateur = checkButton();

    var liste_distances = calcule_distance(reponse_utilisateur);

    var liste_distances_triee = tri(liste_distances);

    var monFruit = plus_proche(liste_distances_triee);

    image(`${monFruit}.jpg`);

}